Debian Bug report logs - #677254
busybox: FTBFS[kfreebsd]: error: storage size of 'info' isn't known

Package: busybox; Maintainer for busybox is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox is src:busybox.

Reported by: debian-bsd@lists.debian.org

Date: Tue, 12 Jun 2012 16:21:02 UTC

Severity: serious

Tags: sid, upstream, wheezy

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.busybox.net/show_bug.cgi?id=5300

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#677254; Package src:busybox. (Tue, 12 Jun 2012 16:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 12 Jun 2012 16:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: busybox: FTBFS[kfreebsd]: error: storage size of 'info' isn't known
Date: Tue, 12 Jun 2012 18:19:03 +0200
Package: src:busybox
Version: 1:1.20.0-3
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

  LD      procps/built-in.o
  CC      procps/kill.o
  CC      procps/pidof.o
  CC      procps/ps.o
procps/ps.c: In function 'ps_main':
procps/ps.c:638:17: error: storage size of 'info' isn't known
procps/ps.c:698:3: warning: implicit declaration of function 'sysinfo' [-Wimplicit-function-declaration]
procps/ps.c:638:17: warning: unused variable 'info' [-Wunused-variable]
make[2]: *** [procps/ps.o] Error 1
make[1]: *** [procps] Error 2
make[1]: Leaving directory `/build/buildd-busybox_1.20.0-3-kfreebsd-amd64-kk5cZ7/busybox-1.20.0/debian/build/udeb'
make: *** [debian/build/udeb/.built] Error 2

Full build log at
https://buildd.debian.org/status/logs.php?pkg=busybox&ver=1%3A1.20.0-3&arch=kfreebsd-amd64

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#677254; Package src:busybox. (Tue, 12 Jun 2012 17:30:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 12 Jun 2012 17:30:12 GMT) Full text and rfc822 format available.

Message #10 received at 677254@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 677254@bugs.debian.org
Subject: Re: Bug#677254: busybox: FTBFS[kfreebsd]: error: storage size of 'info' isn't known
Date: Tue, 12 Jun 2012 19:19:43 +0200
Christoph Egger, le Tue 12 Jun 2012 18:19:03 +0200, a écrit :
> Your package failed to build on the kfreebsd-* buildds:
> 
>   LD      procps/built-in.o
>   CC      procps/kill.o
>   CC      procps/pidof.o
>   CC      procps/ps.o
> procps/ps.c: In function 'ps_main':
> procps/ps.c:638:17: error: storage size of 'info' isn't known
> procps/ps.c:698:3: warning: implicit declaration of function 'sysinfo' [-Wimplicit-function-declaration]

(same on hurd-i386)

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#677254; Package src:busybox. (Tue, 12 Jun 2012 17:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 12 Jun 2012 17:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 677254@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Samuel Thibault <sthibault@debian.org>, 677254@bugs.debian.org
Subject: Re: Bug#677254: busybox: FTBFS[kfreebsd]: error: storage size of 'info' isn't known
Date: Tue, 12 Jun 2012 21:35:15 +0400
tags 677254 + upstream pending
forwarded 677254 https://bugs.busybox.net/show_bug.cgi?id=5300
thanks

On 12.06.2012 21:19, Samuel Thibault wrote:
> Christoph Egger, le Tue 12 Jun 2012 18:19:03 +0200, a écrit :
>> Your package failed to build on the kfreebsd-* buildds:
>>
>>   LD      procps/built-in.o
>>   CC      procps/kill.o
>>   CC      procps/pidof.o
>>   CC      procps/ps.o
>> procps/ps.c: In function 'ps_main':
>> procps/ps.c:638:17: error: storage size of 'info' isn't known
>> procps/ps.c:698:3: warning: implicit declaration of function 'sysinfo' [-Wimplicit-function-declaration]
> 
> (same on hurd-i386)

Yes I know.  Already patched, verifying...

/mjt




Added tag(s) upstream and pending. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Tue, 12 Jun 2012 17:39:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.busybox.net/show_bug.cgi?id=5300'. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Tue, 12 Jun 2012 17:39:05 GMT) Full text and rfc822 format available.

Reply sent to Michael Tokarev <mjt@tls.msk.ru>:
You have taken responsibility. (Tue, 12 Jun 2012 18:21:14 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Tue, 12 Jun 2012 18:21:14 GMT) Full text and rfc822 format available.

Message #24 received at 677254-close@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 677254-close@bugs.debian.org
Subject: Bug#677254: fixed in busybox 1:1.20.0-4
Date: Tue, 12 Jun 2012 18:19:19 +0000
Source: busybox
Source-Version: 1:1.20.0-4

We believe that the bug you reported is fixed in the latest version of
busybox, which is due to be installed in the Debian FTP archive:

busybox-static_1.20.0-4_i386.deb
  to main/b/busybox/busybox-static_1.20.0-4_i386.deb
busybox-syslogd_1.20.0-4_all.deb
  to main/b/busybox/busybox-syslogd_1.20.0-4_all.deb
busybox-udeb_1.20.0-4_i386.udeb
  to main/b/busybox/busybox-udeb_1.20.0-4_i386.udeb
busybox_1.20.0-4.debian.tar.gz
  to main/b/busybox/busybox_1.20.0-4.debian.tar.gz
busybox_1.20.0-4.dsc
  to main/b/busybox/busybox_1.20.0-4.dsc
busybox_1.20.0-4_i386.deb
  to main/b/busybox/busybox_1.20.0-4_i386.deb
udhcpc_1.20.0-4_i386.deb
  to main/b/busybox/udhcpc_1.20.0-4_i386.deb
udhcpd_1.20.0-4_i386.deb
  to main/b/busybox/udhcpd_1.20.0-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677254@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Tokarev <mjt@tls.msk.ru> (supplier of updated busybox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 Jun 2012 21:17:52 +0400
Source: busybox
Binary: busybox busybox-static busybox-udeb busybox-syslogd udhcpc udhcpd
Architecture: source all i386
Version: 1:1.20.0-4
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Michael Tokarev <mjt@tls.msk.ru>
Description: 
 busybox    - Tiny utilities for small and embedded systems
 busybox-static - Standalone rescue shell with tons of builtin utilities
 busybox-syslogd - Provides syslogd and klogd using busybox
 busybox-udeb - Tiny utilities for the debian-installer (udeb)
 udhcpc     - Provides the busybox DHCP client implementation
 udhcpd     - Provides the busybox DHCP server implementation
Closes: 677254
Changes: 
 busybox (1:1.20.0-4) unstable; urgency=low
 .
   * ps-get-uptime.patch: make procps/ps.c compilable on non-linux again
     (Closes: #677254)
Checksums-Sha1: 
 ec0d6e9b7544d2c226b8df726f45f047c8aaf646 1610 busybox_1.20.0-4.dsc
 29518e595d39a589f691ab12e49e0f305b66ce1c 52271 busybox_1.20.0-4.debian.tar.gz
 fe69dd48b77e3e0f6349dfb793b1dbd8ccb39a45 19392 busybox-syslogd_1.20.0-4_all.deb
 8d54f5fc857415e650eaf99e4f16205a7c29207e 876978 busybox-static_1.20.0-4_i386.deb
 0774b1ce73ac0e7b5dfa06bdba1c9b7e53dda7d5 439758 busybox_1.20.0-4_i386.deb
 eb8ad85504b74a34950247cacec2009ef8b294c6 17070 udhcpc_1.20.0-4_i386.deb
 3b337ec4b5e29975d080880d4a0f6d823a43c985 20386 udhcpd_1.20.0-4_i386.deb
 fe2613e15761d6d7b785b73f524d810b75633a82 202490 busybox-udeb_1.20.0-4_i386.udeb
Checksums-Sha256: 
 355736e92d9f730f9404c12056b117725e256947770be1b53bae727925b2804d 1610 busybox_1.20.0-4.dsc
 55dfcf16da80f62396c8a73c7e08fc39e7b0d381f2abdc83cf47e9a5edd705cb 52271 busybox_1.20.0-4.debian.tar.gz
 4b81d0bff639d09f023fd3bb921f52248745a0090d45a2f3a280862443f162dc 19392 busybox-syslogd_1.20.0-4_all.deb
 d58fae2c885fe926e2fb859197f75b33ae27f61406cd891e91eb2c4210cbd7eb 876978 busybox-static_1.20.0-4_i386.deb
 49cf5c00b755b0d41d4ca3b4149bbebb571f9c8d2585e461959e6b6c5a0a83eb 439758 busybox_1.20.0-4_i386.deb
 c11b1932c1542f29333886e25480321f57148cea85619121c9832eeab8cc6c2b 17070 udhcpc_1.20.0-4_i386.deb
 4902f27eb8b91c879b4e097321d8845824b8c8a338f61fc5c26513e002848806 20386 udhcpd_1.20.0-4_i386.deb
 f12fb5e847d90efcbcb39840b53d6d0e595e51de54a0ff90fcaab6e72f5e617f 202490 busybox-udeb_1.20.0-4_i386.udeb
Files: 
 b7f497ba91af590b73f13be45e5252d2 1610 utils optional busybox_1.20.0-4.dsc
 80af5ed939a0a40e6179ce2768ef6ddb 52271 utils optional busybox_1.20.0-4.debian.tar.gz
 520307e93d6129fe2ae10f4c55bc64b5 19392 utils optional busybox-syslogd_1.20.0-4_all.deb
 babf59d7f83fa500c45735626781db0e 876978 shells extra busybox-static_1.20.0-4_i386.deb
 03d5b9b12a369ac58d8e6bd54832574e 439758 utils optional busybox_1.20.0-4_i386.deb
 58edc3e449453f7bc30bef65456d9160 17070 net optional udhcpc_1.20.0-4_i386.deb
 2ee6b52faa73d3567b1285194bfcda6f 20386 net optional udhcpd_1.20.0-4_i386.deb
 8f2b642e1ca267025aef0708baa27c88 202490 debian-installer extra busybox-udeb_1.20.0-4_i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iJwEAQECAAYFAk/XhncACgkQUlPFrXTwyDjB+wP/Zv09Mc0pe/RndVDoLN0PVuXp
/CwrrIOiI7aKp5zxt9E5wG69x8txCfvAQsNoXoS1mq0vt6K+zXajCVQngPps9vYc
Z1fQ0Wndyfrr55YFvTrsxFf1b6acOEMD1GIYXzs+gTP0+8AuYxAQWIDazYrEMVHE
+wQXGtz5RoUVjPTQdEs=
=NB7s
-----END PGP SIGNATURE-----





Bug reassigned from package 'src:busybox' to 'busybox'. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Sat, 11 Aug 2012 19:12:04 GMT) Full text and rfc822 format available.

No longer marked as found in versions busybox/1:1.20.0-3. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Sat, 11 Aug 2012 19:12:04 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions busybox/1:1.20.0-4. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Sat, 11 Aug 2012 19:12:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Sep 2012 07:26:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:31:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.